Index: code/trunk/src/modules/questsystem/effects/AddQuest.cc
===================================================================
--- code/trunk/src/modules/questsystem/effects/AddQuest.cc	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/AddQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file AddQuest.cc
     @brief Implementation of the AddQuest class.
 */
@@ -34,8 +34,10 @@
 #include "AddQuest.h"
 
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 #include "util/Exception.h"
-#include "core/CoreIncludes.h"
+
+#include "questsystem/Quest.h"
 #include "questsystem/QuestManager.h"
-#include "questsystem/Quest.h"
 
 namespace orxonox
@@ -81,5 +83,6 @@
     bool AddQuest::invoke(PlayerInfo* player)
     {
-        if(player == NULL) //!< Null-pointers are badass.
+        //TODO: Replace with assert?
+        if(player == NULL) // Null-pointers are badass.
         {
             COUT(2) << "Input player is NULL." << std::endl;
@@ -93,7 +96,5 @@
             Quest* quest = QuestManager::getInstance().findQuest(this->getQuestId());
             if(quest == NULL || !quest->start(player))
-            {
                return false;
-            }
         }
         catch(const orxonox::Exception& ex)
Index: code/trunk/src/modules/questsystem/effects/AddQuest.h
===================================================================
--- code/trunk/src/modules/questsystem/effects/AddQuest.h	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/AddQuest.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file AddQuest.h
     @brief Definition of the AddQuest class.
+    @ingroup QuestEffects
 */
 
@@ -42,8 +43,7 @@
     /**
     @brief
-        Adds a Quest, resp. changes the quests status to active for the player invoking the Quest.
+        Adds a @ref orxonox::Quest "Quest", resp. changes the @ref orxonox::Quest "Quests" status to active for the player invoking the @ref orxonox::Quest "Quest".
 
-        Creating a AddQuest through XML goes as follows:
-
+        Creating an AddQuest through XML goes as follows:
         @code
         <AddQuest questId="id" />  //Where id identifies the Quest that should be added.
Index: code/trunk/src/modules/questsystem/effects/AddQuestHint.cc
===================================================================
--- code/trunk/src/modules/questsystem/effects/AddQuestHint.cc	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/AddQuestHint.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file AddQuestHint.cc
     @brief Implementation of the AddQuestHint class.
 */
@@ -34,10 +34,11 @@
 #include "AddQuestHint.h"
 
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "util/Exception.h"
+
+#include "questsystem/QuestHint.h"
 #include "questsystem/QuestManager.h"
 #include "questsystem/QuestItem.h"
-#include "questsystem/QuestHint.h"
 
 namespace orxonox
@@ -105,5 +106,6 @@
     bool AddQuestHint::invoke(PlayerInfo* player)
     {
-        if(player == NULL) //!< NULL-pointers are evil!
+        //TODO: Replace with assert?
+        if(player == NULL) // NULL-pointers are evil!
         {
             COUT(2) << "The input player is NULL." << std::endl;
@@ -117,7 +119,5 @@
             QuestHint* hint = QuestManager::getInstance().findHint(this->hintId_);
             if(hint == NULL || !hint->setActive(player))
-            {
                 return false;
-            }
         }
         catch(const Exception& e)
Index: code/trunk/src/modules/questsystem/effects/AddQuestHint.h
===================================================================
--- code/trunk/src/modules/questsystem/effects/AddQuestHint.h	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/AddQuestHint.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file AddQuestHint.h
     @brief Definition of the AddQuestHint class.
+    @ingroup QuestEffects
 */
 
@@ -44,8 +45,7 @@
     /**
     @brief
-        Adds a QuestHint, resp. activates the QuestHint of the given id for the player the QuestEffect is invoked on.
+        Adds a @ref orxonox::QuestHint "QuestHint", resp. activates the @ref orxonox::QuestHint "QuestHint" of the given id for the player the QuestEffect is invoked on.
 
         Creating a AddQuestHint through XML goes as follows:
-
         @code
         <AddQuestHint hintId="id" />  //Where id identifies the QuestHint that should be added.
Index: code/trunk/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- code/trunk/src/modules/questsystem/effects/AddReward.cc	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/AddReward.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file AddReward.cc
     @brief Implementation of the AddReward class.
 */
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "interfaces/Rewardable.h"
 
@@ -57,4 +58,5 @@
     AddReward::~AddReward()
     {
+
     }
 
@@ -85,7 +87,5 @@
         {
             if(i == 0)
-            {
                return *reward;
-            }
             i--;
         }
@@ -107,7 +107,5 @@
         bool check = true;
         for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
-        {
             check = check && (*reward)->reward(player);
-        }
 
         COUT(4) << "Rewardable successfully added to player." << player << " ." << std::endl;
Index: code/trunk/src/modules/questsystem/effects/AddReward.h
===================================================================
--- code/trunk/src/modules/questsystem/effects/AddReward.h	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/AddReward.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file AddReward.h
     @brief Definition of the AddReward class.
+    @ingroup QuestEffects
 */
 
@@ -44,8 +45,7 @@
     /**
     @brief
-        Adds a list of Rewardables to a player.
+        Adds a list of @ref orxonox::Rewardable "Rewardables" to a player.
 
         Creating a AddReward through XML goes as follows:
-
         @code
         <AddReward>
Index: code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.cc
===================================================================
--- code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.cc	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.cc	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file ChangeQuestStatus.cc
     @brief Implementation of the ChangeQuestStatus class.
+    @ingroup QuestEffects
 */
 
@@ -36,4 +37,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "questsystem/QuestItem.h"
 
@@ -55,4 +57,5 @@
     ChangeQuestStatus::~ChangeQuestStatus()
     {
+
     }
 
Index: code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.h
===================================================================
--- code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file ChangeQuestStatus.h
     @brief Definition of the ChangeQuestStatus class.
+    @ingroup QuestEffects
 */
 
@@ -44,5 +45,5 @@
     /**
     @brief
-        A QuestEffect which changes the status of a specified Quest for the player invoking the QuestEffect.
+        A QuestEffect which changes the status of a specified @ref orxonox::Quest "Quest" for the player invoking the QuestEffect.
     @author
         Damian 'Mozork' Frick
Index: code/trunk/src/modules/questsystem/effects/CompleteQuest.cc
===================================================================
--- code/trunk/src/modules/questsystem/effects/CompleteQuest.cc	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/CompleteQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file CompleteQuest.cc
     @brief Implementation of the CompleteQuest class.
 */
@@ -36,6 +36,7 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
+#include "questsystem/Quest.h"
 #include "questsystem/QuestManager.h"
-#include "questsystem/Quest.h"
 
 namespace orxonox
@@ -58,4 +59,5 @@
     CompleteQuest::~CompleteQuest()
     {
+
     }
 
@@ -81,5 +83,6 @@
     bool CompleteQuest::invoke(PlayerInfo* player)
     {
-        if(player == NULL) //!< You know, what we think of NULL-pointers...
+        //TODO: Replace with assert?
+        if(player == NULL) // You know, what we think of NULL-pointers...
         {
             COUT(2) << "Input player is NULL." << std::endl;
@@ -95,7 +98,5 @@
             quest = QuestManager::getInstance().findQuest(this->getQuestId());
             if(quest == NULL || !quest->complete(player))
-            {
                return false;
-            }
         }
         catch(const Exception& e)
Index: code/trunk/src/modules/questsystem/effects/CompleteQuest.h
===================================================================
--- code/trunk/src/modules/questsystem/effects/CompleteQuest.h	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/CompleteQuest.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file CompleteQuest.h
     @brief Definition of the CompleteQuest class.
+    @ingroup QuestEffects
 */
 
@@ -42,8 +43,7 @@
     /**
     @brief
-        Completes a Quest (with a specified id) for the player invoking the QuestEffect.
+        Completes a @ref orxonox::Quest "Quest" (with a specified id) for the player invoking the QuestEffect.
 
         Creating a CompleteQuest through XML goes as follows:
-
         @code
         <CompleteQuest questId="id" />  //Where id identifies the Quest that should be completed.
Index: code/trunk/src/modules/questsystem/effects/FailQuest.cc
===================================================================
--- code/trunk/src/modules/questsystem/effects/FailQuest.cc	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/FailQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file FailQuest.cc
     @brief Implementation of the FailQuest class.
 */
@@ -36,6 +36,7 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
+#include "questsystem/Quest.h"
 #include "questsystem/QuestManager.h"
-#include "questsystem/Quest.h"
 
 namespace orxonox
@@ -58,4 +59,5 @@
     FailQuest::~FailQuest()
     {
+
     }
 
@@ -68,5 +70,5 @@
         SUPER(FailQuest, XMLPort, xmlelement, mode);
 
-        COUT(4) << "New FailQUest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
+        COUT(4) << "New FailQuest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
     }
 
@@ -81,5 +83,6 @@
     bool FailQuest::invoke(PlayerInfo* player)
     {
-        if(player == NULL) //!< We don't know what to do with no player.
+        //TODO: Replace with assert?
+        if(player == NULL) // We don't know what to do with no player.
         {
             COUT(2) << "Input player is NULL." << std::endl;
@@ -94,7 +97,5 @@
             quest = QuestManager::getInstance().findQuest(this->getQuestId());
             if(quest == NULL || !quest->fail(player))
-            {
                return false;
-            }
         }
         catch(const Exception& e)
Index: code/trunk/src/modules/questsystem/effects/FailQuest.h
===================================================================
--- code/trunk/src/modules/questsystem/effects/FailQuest.h	(revision 7401)
+++ code/trunk/src/modules/questsystem/effects/FailQuest.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file FailQuest.h
     @brief Definition of the FailQuest class.
+    @ingroup QuestEffects
 */
 
@@ -42,8 +43,7 @@
     /**
     @brief
-        Fails a quest (with a specified id) for the player invoking the QuestEffect.
+        Fails a @ref orxonox::Quest "Quest" (with a specified id) for the player invoking the QuestEffect.
 
         Creating a FailQuest through XML goes as follows:
-
         @code
         <FailQuest questId="id" />  //Where id identifies the Quest that should be failed.
